version: "3.5"
services:
  gitlab:
    image: "gitlab/gitlab-ce:${GITLAB_TAG}"
    restart: always
    hostname: "${GITLAB_DOMAIN}"
    ports:
      - "2022:22"  # @see https://docs.docker.com/compose/compose-file/#ports
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=traefik"
      - "traefik.http.routers.gitlab.rule=Host(`${GITLAB_DOMAIN}`)"
      - "traefik.http.routers.gitlab.entrypoints=http"
      - "traefik.http.services.gitlab.loadbalancer.server.port=80"
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'http://${GITLAB_DOMAIN}'
        # Add any other gitlab.rb configuration here, each on its own line
        gitlab_rails['gitlab_shell_ssh_port'] = 2022
    volumes:
      - "${GITLAB_STORAGE}/conf:/etc/gitlab"
      - "${GITLAB_STORAGE}/data:/var/opt/gitlab"
    networks:
      - traefik
networks:
  traefik:
    name: traefik
    external: true
